#include <iostream>

using namespace std;

struct granica_vage{
    int gornja,donja;
};

int main(){
    int N,M,l,r,x;
    cin >> N >> M;
    granica_vage vage[N];
    for(int i=0;i<N;i++){
        cin >> vage[i].donja >> vage[i].gornja;
    }
    for(int i=0;i<M;i++){
        int br=0;
        cin >> l >> r >> x;
        for(int k=l;k<=r;k++){
            if(vage[k-1].donja<=x && x<=vage[k-1].gornja){
                br++;
            }
        }
        cout << br << "\n";
    }
}